
Figure - Bug #118162
【IOVDEV-29664】【内部】【VC1】【0095】【台架】【EE环境】【副屏】中控挂断蓝牙来电，副屏点击播
放本地视频未播放
2023-05-22 20:22 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-22

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0095.c103  中控：03.02.0080.C101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 获取焦点失败时，暂停音频播放

Description

【环境信息】EE环境

【问题出现时间】：20230522  10点05分（ 第159次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）中控与手机通过蓝牙连接

1.副屏本地视频播放器播放视频

2.中控端蓝牙来电，未接听

3.副屏点击本地视频不能进行播放

4.中控端挂断蓝牙电话

5.副屏点击视频进行播放

【实际结果】

副屏点击视频未进行播放，提示无法播放此视频

【期望结果】

副屏正常播放视频。

【备注】：

车架号VIN：HRYTTESTVINMGM400

log地址：https://ofs.human-horizons.com/#/download/index/FrbCd3okvy4%3D

视频地址：https://ofs.human-horizons.com/#/download/index/WWJUCN3D4kc%3D

【影响版本】：副屏：01.00.0095.c103  中控：03.02.0080.C101

【硬件版本号】：/

【是否能恢复】：可恢复

History

#1 - 2023-05-22 20:23 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118162

2025-07-04 1/2

https://ofs.human-horizons.com/#/download/index/FrbCd3okvy4%3D
https://ofs.human-horizons.com/#/download/index/WWJUCN3D4kc%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118162


#2 - 2023-05-23 15:52 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

Hi ALL

当前分析：

在中控蓝牙通话时，副屏播放视频，获取不到焦点，音频被reset，导致APP重新播放时出现报错，和117969同原因。

05-23 15:48:38.439  6416  6416 E MediaPlayerNative: start called in state 64, mPlayer(0x78d87c6680)

05-23 15:48:38.439  6416  6416 E MediaPlayerNative: error (-38, 0)

05-23 15:48:38.440  6416  6416 E MediaPlayerNative: Attempt to call getDuration in wrong state: mPlayer=0x78d87c6680, mCurrentState=0

05-23 15:48:38.440  6416  6416 E MediaPlayerNative: error (-38, 0)

05-23 15:48:38.444  1035  1908 D MediaFocusControl: audio_idcm: updateCurrentAudioFocus: uid= 10072 fr = 10072 focusChange= 1

05-23 15:48:38.444  1035  1908 W MediaFocusControl: Request AudioFocus again: update mFocusLossReceived -> AUDIOFOCUS_NONE

05-23 15:48:38.444  1035  1908 D AudioIDCMicroNegotiator: idcm_af:wait messsage

05-23 15:48:38.462  6416  6416 E MediaPlayer: Error (-38,0)

05-23 15:48:38.498  6416  6416 E MediaPlayer: Error (-38,0)

#3 - 2023-05-24 16:23 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 获取焦点失败时，暂停音频播放

HI 永红

该问题已经被117969的提交修复，请使用5月24日后的版本验证，谢谢！

#4 - 2023-05-26 18:18 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305260126

#5 - 2023-05-26 18:18 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

10点05分，蓝牙来电时点击视频播放，挂断来电后视频不能播放.mp4 33.7 MB 2023-05-22 CDTS_Test 吴诗雨
